import 'package:flutter/material.dart';
import 'package:flutter_flicker/configuration/configuration.dart';
import 'package:google_fonts/google_fonts.dart';

class FlickerOutlinedButton extends StatelessWidget {
  const FlickerOutlinedButton({
    Key? key,
    required this.onPressed,
    this.child,
    this.onPrimaryColor,
  }) : super(key: key);

  final VoidCallback onPressed;
  final Widget? child;
  final Color? onPrimaryColor;

  @override
  Widget build(BuildContext context) {
    return OutlinedButton(
      style: ElevatedButton.styleFrom(
        onPrimary: FlickerConfiguration.colors.elevatedButtonPrimary,
        textStyle: GoogleFonts.barlow(
          fontSize: 14,
          fontWeight: FontWeight.normal,
        ),
        padding: EdgeInsets.only(
          top: 12.0,
          bottom: 12.0,
          left: 18.0,
          right: 18.0,
        ),
        shadowColor: Colors.transparent,
        shape: RoundedRectangleBorder(
          borderRadius: BorderRadius.circular(15.0),
        ),
      ),
      onPressed: onPressed,
      child: child!,
    );
  }
}
