import 'package:flutter_flicker/configuration/configuration.dart';
import 'package:flutter_flicker/security/security.dart';
import 'route_configuration.dart';

class MenuConfiguration {
  static Menu get publicMenu {
    return FlickerConfiguration.menus
        .where((element) => element.role == null)
        .first;
  }

  static List<RouteInfo> getRoutesForCurrentUser() {
    var currentUser = FlickerSecurity.currentUser;
    if (currentUser == null) {
      return publicMenu.items;
    }

    var menuItems = FlickerConfiguration.menus.where((menu) {
      if (menu.role == null) return false;
      return menu.role!.title == currentUser.role!.title;
    });

    if (menuItems.isEmpty) {
      return publicMenu.items;
    }

    return menuItems.first.items;
  }
}

class Menu {
  final FlickerRole? role;
  final List<RouteInfo> items;

  Menu({this.role, required this.items});
}
